Bug 653075 - GPM doesn't allow to set it to do nothing on "power critical low"
Summary: GPM doesn't allow to set it to do nothing on "power critical low"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 14
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 11:42 UTC by Petr Tomasek
Modified: 2010-11-16 09:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 16:33:45 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Tomasek 2010-11-14 11:42:27 UTC
Description of problem:

  The gnome-power-manager preferences allow one to choose what happens if the power is "critical low". The choices are "Suspend", "Hibernate" or "Shutdown". It should however be possible for the user to chose "Do nothing" - it could give the user a couple of minutes if its absolutelly needen.

Version-Release number of selected component (if applicable):

  gnome-power-manager-2.32.0-3.fc14

Comment 1 Richard Hughes 2010-11-15 16:33:45 UTC
The power just turning off is a really bad idea, and is dangerous for data, so it's not listed. You can change the /apps/gnome-power-manager/actions/critical_battery setting in gconf-editor to "nothing" if you really want this feature.

Comment 2 Petr Tomasek 2010-11-15 21:40:47 UTC
I strongly disagree.

The user should have the choice to do this. It can gain a couple of minutes when _really_ needed (some laptop batteries tend to lie about the remaining capacity, perhaps so that one needs to buy a replacement sooner :-( ).

And I don't think it's much worse idea than letting the system just kill any program. (And any program that can really loose data when interrupted is badly written anyway.)

Why not e.g. popup a warning dialog, if the user chooses this option, instead of hidding it?

Comment 3 Richard Hughes 2010-11-16 09:06:33 UTC
(In reply to comment #2)
> The user should have the choice to do this

In your opinion...

> It can gain a couple of minutes
> when _really_ needed (some laptop batteries tend to lie about the remaining
> capacity, perhaps so that one needs to buy a replacement sooner :-( ).

Right, and when the power goes down, the spinning hard drive gets the power ripped from under it. That's not exactly conducive to maintaining data security.

> And I don't think it's much worse idea than letting the system just kill any
> program. (And any program that can really loose data when interrupted is badly
> written anyway.)

Except when it's half-way through a fflush system call...

> Why not e.g. popup a warning dialog, if the user chooses this option, instead
> of hidding it?

No, I don't want more popups, sorry. If you really want this dangerous option, you can enable it it in GConf like I suggested.


Note You need to log in before you can comment on or make changes to this bug.